module.exports = {
  env: {
    browser: true,
    es6: true,
  },
  extends: ["plugin:react/recommended", "airbnb", "prettier"],
  globals: {
    Atomics: "readonly",
    SharedArrayBuffer: "readonly",
  },
  parser: "babel-eslint",
  parserOptions: {
    ecmaVersion: 2020,
    sourceType: "module",
    ecmaFeatures: {
      jsx: true,
      modules: true,
      experimentalObjectRestSpread: true,
    },
  },
  plugins: ["react", "prettier"],
  rules: {
    "react/jsx-filename-extension": "off",
    quotes: "off",
    "react/prop-types": "off",
    "react/jsx-props-no-spreading": "off",
    "react/button-has-type": "off",
    "import/order": "off",
    "no-unused-vars": "off",
    "no-underscore-dangle": "off",
    "spaced-comment": "off",
    "no-shadow": "warn",
    "react/no-array-index-key": "warn",
    "global-require": "off",
    "jsx-a11y/no-noninteractive-element-interactions": "off",
    "react/jsx-one-expression-per-line": "off",
    "jsx-a11y/click-events-have-key-events": "off",
    "consistent-return": "off",
    "react/self-closing-comp": "warn",
    "import/prefer-default-export": "warn",
    "react/jsx-curly-newline": "off",
    "jsx-a11y/no-static-element-interactions": "off",
    "react/jsx-equals-spacing": "off",
    "react/jsx-curly-brace-presence": "warn",
    "react/no-unescaped-entities": "off",
    "react/jsx-indent-props": "off",
    "react/jsx-props-no-multi-spaces": "off",
    "react/jsx-indent": "off",
    "react/jsx-tag-spacing": "off",
    "react/jsx-first-prop-new-line": "off",
    "import/no-extraneous-dependencies": "off",
  },
};
